u_penult , u_preced , v_penult , v_preced = 5 , 3 , 2 , 4

for i in range(2,21):
    u = 2*u_penult + 3*u_preced
    v = v_penult / v_preced + u / u_preced
    print('u(',i,') = ',u,' ; v(',i,') = ',v)
    u_penult = u_preced
    u_preced = u
    v_penult = v_preced
    v_preced = v
